@ECHO OFF

SET JAVA_HOME=%JAVA_HOME%
SET JAVA_OPTS1=-server
SET JAVA_OPTS2=-Xms -Xmx
SET JAVA_RUN="%JAVA_HOME%\bin\java"

SET PATH=%JAVA_HOME%\bin;%PATH%

:: Find first instance
IF NOT DEFINED R66_INST (
  for /D %%i in (etc\conf.d\*) do (
    if exist "etc\conf.d\%%i\%R66_TYPE%.xml" (
      SET R66_INST=%%~ni
      GOTO :main
    )
  )
) ELSE IF NOT EXIST "etc\conf.d\%R66_INST%\%R66_TYPE%.xml" (
  echo "L'instance Waarp Gateway FTP %R66_INST% n'existe pas"
  exit /B 2
)

:main
:: Inialize Conf and Log directory
IF NOT DEFINED CONFDIR SET CONFDIR=etc\conf.d\%R66_INST%

SET LOGGWFTP=-Dlogback.configurationFile="%CONFDIR%\logback-gwftp.xml"

SET FTP_CLASSPATH="share\lib\WaarpGatewayFtp-3.4.0.jar;share\lib\*"

SET JAVARUNFTPSERVER=%JAVA_RUN% %JAVA_OPTS2% -cp %FTP_CLASSPATH% %LOGGWFTP%